package com.lining.code.constant;

/**
 * @ Author ：lining.
 * @ Date ：Created in 21:25 2022/5/10
 * @ Description：es索引目录
 */
public class ESIndexConstant {

    /**
     * 素材详情index
     */
    public static String MATERIAL_INDEX = "material_model_{0}/_doc";

    /**
     * 可玩广告index
     */
    public static String PREPLAY_MATERIAL_INDEX = "preplay_material_model_{0}/_doc";

    /**
     * 文案index
     */
    public static String DOCUMENT_INDEX = "document_model_{0}/_doc";

    /**
     * 产品列表index
     */
    public static String PRODUCT_LIST_INDEX = "product_list_model_{0}_{1}/_doc";
    public static String PRODUCT_LIST_DATE_INDEX = "product_list_model_{0}_{1}_{2}/_doc";

    /**
     * 产品详情index
     */
    public static String PRODUCT_INDEX = "product_model_{0}/_doc";

    /**
     * 公司列表index
     */
    public static String COMPANY_LIST_INDEX = "company_list_model_{0}_{1}/_doc";
    public static String COMPANY_LIST_DATE_INDEX = "company_list_model_{0}_{1}_{2}/_doc";

    /**
     * 公司详情index
     */
    public static String COMPANY_INDEX = "company_model_{0}/_doc";

    /**
     * 广告变现列表index
     */
    public static String AD_LIST_INDEX = "ad_monetization_list_model_{0}_{1}/_doc";
    public static String AD_LIST_DATE_INDEX = "ad_monetization_list_model_{0}_{1}_{2}/_doc";

    /**
     * 国家列表index
     */
    public static String COUNTRY_LIST_INDEX = "country_list_model_{0}_{1}/_doc";
    public static String COUNTRY_LIST_DATE_INDEX = "country_list_model_{0}_{1}_{2}/_doc";

    /**
     * 素材趋势index
     */
    public static String MATERIAL_TREND_INDEX = "material_trend_model_{0}/_doc";

    /**
     * 创意趋势index
     */
    public static String CREATIVE_TREND_INDEX = "creative_trend_model_{0}/_doc";
}
