package com.lining.code.constant;

/**
 * @ Author ：lining.
 * @ Date ：Created in 21:06 2022/5/10
 * @ Description：sql
 */
public class SQLConstant {

    /**
     * 素材详情sql
     */
    public static String MATERIAL_MODEL_SQL = "select \n" +
            "id, \n" +
            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "style_ids,\n" +
            "media_ids,\n" +
            "languages,\n" +
            "country_codes,\n" +
            "device_list,\n" +
            "appeal_type,\n" +
            "like_cnt,\n" +
            "comment_cnt,\n" +
            "share_cnt,\n" +
            "find_cnt,\n" +
            "creative_cnt,\n" +
            "product_cnt,\n" +
            "material_type,\n" +
            "material_format,\n" +
            "material_shape,\n" +
            "video_time_span,\n" +
            "width,\n" +
            "height,\n" +
            "conver_size,\n" +
            "has_conver,\n" +
            "conver_url,\n" +
            "image_url,\n" +
            "video_url,\n" +
            "size,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "update_time,\n" +
            "hot_index,\n" +
            "interaction_index_list,\n" +
            "document_default,\n" +
            "document_ik_cn,\n" +
            "document_ik_en,\n" +
            "document_ik_kr,\n" +
            "document_ik_jp,\n" +
            "document_ik_other,\n" +
            "product_id,\n" +
            "product_name_default,\n" +
            "product_name_cn,\n" +
            "product_name_en,\n" +
            "product_name_kr,\n" +
            "product_name_jp,\n" +
            "product_name_other,\n" +
            "distribute_media_creative_list,\n" +
            "distribute_ua_creative_list,\n" +
            "distribute_product_creative_list,\n" +
            "distribute_country_creative_list,\n" +
            "distribute_material_admedia_list,\n" +
            "top_lasttime_document_ids,\n" +
            "top_cnt_document_ids,\n" +
            "company_info from adinsights.material_model_{1} where type_id = {0} and material_type not in (10,11);";


    /**
     * 可玩广告sql
      */
    public static String PREPLAY_MATERIAL_MODEL_SQL = "select \n" +
            "id,\n" +
            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "style_ids,\n" +
            "media_ids,\n" +
            "country_codes,\n" +
            "device_list,\n" +
            "creative_cnt,\n" +
            "find_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "update_time,\n" +

            "company_info,\n" +
            "document_ik_cn,\n" +
            "document_ik_en,\n" +
            "document_ik_kr,\n" +
            "document_ik_jp,\n" +
            "document_ik_other,\n" +
            "document_default,\n" +
            "hot_index,\n" +
            "product_id,\n" +

            "distribute_media_creative_list,\n" +
            "distribute_ua_creative_list,\n" +
            "distribute_product_creative_list,\n" +
            "distribute_country_creative_list,\n" +
            "distribute_material_admedia_list,\n" +
            "top_lasttime_document_ids,\n" +
            "top_cnt_document_ids,\n" +

            "product_name_default,\n" +
            "product_name_cn,\n" +
            "product_name_en,\n" +
            "product_name_kr,\n" +
            "product_name_jp,\n" +
            "product_name_other,\n" +
            "image_url as play_html_url  from adinsights.material_model_{1} where type_id = {0} and material_type =10";


    /**
     * 文案sql
     */
    public static String DOCUMENT_MODEL_SQL = "select \n" +
            "id,\n" +
            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "style_ids,\n" +
            "media_ids,\n" +
            "country_codes,\n" +
            "languages,\n" +
            "selling,\n" +
            "material_cnt,\n" +
            "creative_cnt,\n" +
            "find_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "update_time,\n" +

            "product_name_default,\n" +
            "product_name_cn,\n" +
            "product_name_en,\n" +
            "product_name_kr,\n" +
            "product_name_jp,\n" +
            "product_name_other,\n" +
            "company_info,\n" +

            "subject_cn,\n" +
            "subject_en,\n" +
            "subject_jp,\n" +
            "subject_kr,\n" +
            "subject_other,\n" +
            "subject,\n" +
            "caption_cn,\n" +
            "caption_en,\n" +
            "caption_jp,\n" +
            "caption_kr,\n" +
            "caption_other,\n" +
            "caption,\n" +
            "product_id,\n" +
            "distribute_media_creative_list from adinsights.document_model_{1} where type_id = {0}";

    /**
     * 产品列表模型
     */
    public static String PRODUCT_LIST_MODEL_SQL = "select\n" +
            "id,\n" +

            "product_id,\n" +
            "product_first_time,\n" +

            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "style_ids,\n" +
            "media_id,\n" +
            "country_code,\n" +
            "device,\n" +
            "monetization,\n" +
            "selling,\n" +
            "seaput_status,\n" +
            "material_cnt,\n" +
            "preplay_material_cnt,\n" +
            "creative_cnt,\n" +
            "find_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "product_name_cn,\n" +
            "product_name_en,\n" +
            "product_name_kr,\n" +
            "product_name_jp,\n" +
            "product_name_other,\n" +

            "product_name_default,\n" +

            "product_name_list,\n" +
            "company_id,\n" +
            "company_name,\n" +
            "pkg,\n" +
            "distribute_country_creative_list,\n" +
            "distribute_country_material_list,\n" +
            "distribute_media_material_list,\n" +
            "distribute_media_creative_list,\n" +
            "distribute_material_type_material_list,\n" +
            "distribute_image_size_material_list,\n" +
            "distribute_video_size_material_list,\n" +
            "distribute_language_material_list,\n" +
            "distribute_device_material_list,\n" +
            "distribute_device_creative_list\n" +
            " from adinsights.product_list_model_{0} where type_id = {1}";

    /**
     * 产品详情sql
     */
    public static String PRODUCT_MODEL_SQL = "select\n" +
            "id,\n" +
            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "material_cnt,\n" +
            "preplay_material_cnt,\n" +
            "creative_cnt,\n" +
            "find_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +

            "product_name_default,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "media_ids,\n" +
            "country_codes,\n" +
            "device_list,\n" +

            "product_name_list,\n" +
            "product_name_cn,\n" +
            "product_name_en,\n" +
            "product_name_kr,\n" +
            "product_name_jp,\n" +
            "product_name_other,\n" +
            "product_logo,\n" +
            "bundle_id,\n" +
            "ios_download_url,\n" +
            "android_download_url,\n" +
            "company_id,\n" +
            "company_name,\n" +
            "pkg,\n" +
            "distribute_country_creative_list,\n" +
            "distribute_country_material_list,\n" +
            "distribute_media_material_list,\n" +
            "distribute_media_creative_list,\n" +
            "distribute_material_type_material_list,\n" +
            "distribute_image_size_material_list,\n" +
            "distribute_video_size_material_list,\n" +
            "distribute_language_material_list,\n" +
            "distribute_device_material_list,\n" +
            "distribute_device_creative_list from adinsights.product_model_{1} where type_id = {0}";

    /**
     * 公司列表sql
     */
    public static String COMPANY_LIST_MODEL_SQL = "select \n" +
            "id,\n" +

            "company_id,\n" +
            "company_first_time,\n" +

            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "style_ids,\n" +
            "media_id,\n" +
            "country_code,\n" +
            "device,\n" +

            "product_name_cn,\n" +
            "product_name_en,\n" +
            "product_name_kr,\n" +
            "product_name_jp,\n" +
            "product_name_other,\n" +

            "product_cnt,\n" +
            "material_cnt,\n" +
            "creative_cnt,\n" +
            "find_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "update_time,\n" +
            "company_name,\n" +
            "distribute_country_creative_list,\n" +
            "distribute_country_material_list,\n" +
            "distribute_product_material_list,\n" +
            "distribute_product_creative_list,\n" +
            "distribute_device_material_list,\n" +
            "distribute_device_creative_list from adinsights.company_list_model_{0} where type_id = {1}";

    /**
     * 公司详情sql
     */

    public static String COMPANY_MODEL_SQL = "select \n" +
            "id,\n" +

            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "media_ids,\n" +
            "country_codes,\n" +
            "device_list,\n" +

            "product_cnt,\n" +
            "material_cnt,\n" +
            "creative_cnt,\n" +
            "find_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "update_time,\n" +
            "company_name,\n" +
            "distribute_country_creative_list,\n" +
            "distribute_country_material_list,\n" +
            "distribute_product_material_list,\n" +
            "distribute_product_creative_list,\n" +
            "distribute_device_material_list,\n" +
            "distribute_device_creative_list from adinsights.company_model_{1} where type_id = {0}";

    /**
     * 广告变现列表sql
     */
    public static String AD_LIST_MODEL_SQL = "select \n" +
            "id,\n" +

            "admedia_id,\n" +

            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "style_ids,\n" +
            "creative_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "distribute_media_material_list,\n" +
            "distribute_media_creative_list,\n" +
            "top_product_list from adinsights.ad_monetization_list_model_{0} where type_id = {1}";

    /**
     * 国家列表sql
     */
    public static String COUNTRY_LIST_MODEL_SQL = "select \n" +
            "id,\n" +

            "geo,\n" +

            "cat_ids1,\n" +
            "cat_ids2,\n" +
            "cat_ids3,\n" +
            "cat_ids4,\n" +
            "class_ids,\n" +
            "tag_ids,\n" +
            "style_ids,\n" +
            "device,\n" +
            "product_cnt,\n" +
            "material_cnt,\n" +
            "creative_cnt,\n" +
            "first_time,\n" +
            "last_time,\n" +
            "top_class_material_list,\n" +
            "top_class_creative_list,\n" +
            "top_product_list from adinsights.country_list_model_{0} where type_id = {1}";


    /**
     * 素材趋势sql
     */
    public static String MATERIAL_TREND_MODEL_SQL = "select\n" +
            "id,\n" +
            "day,\n" +
            "product_id,\n" +
            "company_id,\n" +
            "media_id,\n" +
            "geo,\n" +
            "device,\n" +
            "ad_style,\n" +
            "material_type,\n" +
            "cnt from adinsights.material_trend_model where type_id = {0}";

    /**
     * 创意趋势sql
     */
    public static String CREATIVE_TREND_MODEL_SQL = "select\n" +
            "id,\n" +
            "day,\n" +
            "product_id,\n" +
            "company_id,\n" +
            "media_id,\n" +
            "geo,\n" +
            "device,\n" +
            "ad_style,\n" +
            "material_type,\n" +
            "cnt from adinsights.creative_trend_model where type_id = {0}";


}
