package com.lining.code.spark.udf;


import com.lining.code.util.DateUtil;
import org.apache.spark.sql.api.java.UDF1;

import java.sql.Timestamp;
import java.util.Date;

/**
 * @ Author ：lining.
 * @ Date ：Created in 14:51 2022/5/16
 * @ Description：日期转换UDF
 */
public class DateUdf implements UDF1<Timestamp, String> {

    @Override
    public String call(Timestamp timestamp) throws Exception {
        Date date = new Date(timestamp.getTime());
        return DateUtil.format(date, DateUtil.YYYY_MM_DD_HH_mm_ss);
    }
}
